package com.yeejoin.amos.fas.business.service.model;

import java.io.Serializable;

public class ContingencyDeviceStatus implements Serializable{



    //所要检测的 设备  ：  换流阀（停运1）   水喷雾系统（开启0、关闭1）   空调（停运1）  水冷系统（停运1）  设备

	private String actionName;


    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private long fireEquimentId;//传感器id

    private String equipmentId;//重点装备id

    private String stauts;  //当前状态
    private String needStatus;//预案实例所需状态
    
    private String contingencyPlanId;
    
    private String stepCode;
    private String buttonCode;
    private String confirm;
    private String stepState;

    public long getFireEquimentId() {
        return fireEquimentId;
    }

    public void setFireEquimentId(long fireEquimentId) {
        this.fireEquimentId = fireEquimentId;
    }

    public String getStauts() {
        return stauts;
    }

    public void setStauts(String stauts) {
        this.stauts = stauts;
    }

    public String getNeedStatus() {
        return needStatus;
    }

    public void setNeedStatus(String needStatus) {
        this.needStatus = needStatus;
    }


	public String getActionName() {
		return actionName;
	}

	public void setActionName(String actionName) {
		this.actionName = actionName;
	}

	public String getContingencyPlanId() {
		return contingencyPlanId;
	}

	public void setContingencyPlanId(String contingencyPlanId) {
		this.contingencyPlanId = contingencyPlanId;
	}

	public String getStepCode() {
		return stepCode;
	}

	public void setStepCode(String stepCode) {
		this.stepCode = stepCode;
	}

	public String getButtonCode() {
		return buttonCode;
	}

	public void setButtonCode(String buttonCode) {
		this.buttonCode = buttonCode;
	}

	public String getConfirm() {
		return confirm;
	}

	public void setConfirm(String confirm) {
		this.confirm = confirm;
	}

	public String getStepState() {
		return stepState;
	}

	public void setStepState(String stepState) {
		this.stepState = stepState;
	}

	public String getEquipmentId() {
		return equipmentId;
	}

	public void setEquipmentId(String equipmentId) {
		this.equipmentId = equipmentId;
	}
	
}
